<?php
class Login extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form','url','html'));
		$this->load->library('session');
		$this->load->library('form_validation');
        $this->load->model('mymodel');
        $this->no_cache();
    }
    private function no_cache(){       
        $this->output->set_header('Last-Modified: ' . gmdate("D, d M Y H:i:s") . ' GMT');
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
        $this->output->set_header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");        
    }
    
    function index() 
    { 
		// get form input
		if($this->input->post())
		{
			$lid = $this->input->post("lid");
			$password = $this->input->post("password");
	 
			// form validation
			$this->form_validation->set_rules("lid", "Login Id", "trim|required");
			$this->form_validation->set_rules("password", "Password", "trim|required");

			if ($this->form_validation->run() == FALSE)
			{
				// validation fail
				$this->session->set_flashdata('msg', '<div class="alert alert-danger text-center">Invalid Credentials!</div>');
				$this->load->view('login');             
			}
			else 
			{			
				// check for user credentials
				$table = 'login';
				$select_col = array('lid','password');
				$cond = array("lid"=>$lid,"password"=>$password);
				
				$result = $this->mymodel->select_data($table, $select_col, $cond);
				/*echo '<pre>';
				print_r($result);die;*/
				if($result) { 
					// set session
					$table1 = 'emp_profile';
					$select_col1 = array('name','designation','role','pic');
					$cond1 = array("lid"=>$lid);
					$result1 = $this->mymodel->select_data($table1, $select_col1, $cond1);

					/*echo '<pre>';
					print_r($result1);die;*/

					$sess_data = array('logged_in' => TRUE,
										'lid' => $result[0]->lid,
										'name' => $result1[0]->name,
										'designation' => $result1[0]->designation,
										'role' => $result1[0]->role,
										'pic' => $result1[0]->pic);

					$this->session->set_userdata($sess_data);
					$url = base_url().'index.php/user_area';			
					echo "<meta http-equiv='refresh' content='0;$url'>";
				}
				else 
				{
					$this->session->set_flashdata('login_invalid_msg', '<div class="alert alert-danger text-center">Invalid Credentials!</div>');
					$this->load->view('login');					
				}
			}
		}
		else {
			$this->load->view('login');
		}
	}
	///////////////////////////////////////////////////////////////
    function forget_password() 
    { 
	$this->load->view('top1');
	$this->load->view('forget_password');
	$this->load->view('bottom');		
	}	
    function forget_password_submit() 
    { 
		if($this->input->post('email'))
		{	
			$email = $this->input->post('email');			
			$table = 'login';
			$select_col = array('password', 'lid', 'name');
			$cond = array("lid"=>$email, "sts" => '21');
			$result = $this->mymodel->select_data($table, $select_col, $cond);
			
			if(sizeof($result)!=0)
			{
				foreach($result as $val)
				{
					$password = $val->password;
					$lid =  $val->lid;
					$name =  $val->name;
				}
				
				$config = array(
				  'protocol' => 'smtp',
				  'smtp_host' => 'mail.call2dhobi.com',
				  'smtp_user' => 'info@call2dhobi.com',
				  'smtp_pass' => '123456789',
				  'smtp_port' => 465,
				  'mailtype'  => 'html', 
				  'charset'   => 'iso-8859-1',			  
				  'newline' => "\n"
				);			
				$this->load->library('email', $config);
				$this->email->from('contact@call2dhobi.com', 'Call2Dhobi Admin');
				$this->email->to($lid);
				//$this->email->cc('another@another-example.com');
				//$this->email->bcc('them@their-example.com');
				$this->email->subject('Call2dhobi reset password');
				$this->email->message('Dear '.$name.', Thank you for contacting to call2dhobi.com for retriving your password. Your login id is '.$lid.' and Password is '.$password);
				if($this->email->send()){
					$this->session->set_userdata('password_re','<div class="alert alert-success" role="alert">Your password has been sent to your email id successfully. Please go into your email id and find the password.</div>');
					$this->load->view('top1');
					$this->load->view('forget_password');	   
					$this->load->view('bottom'); 
				}
				else {
					$this->session->set_userdata('password_re','<div class="alert alert-danger" role="alert">We are unable to send your password. Please contact to admin.</div>');
					$this->load->view('top1');
					$this->load->view('forget_password');	   
					$this->load->view('bottom'); 
				}
			}
			else 
			{
				$this->session->set_userdata('password_re','<div class="alert alert-danger" role="alert">Entered email doesnot exist. Please contact to admin.</div>');
				$this->load->view('top1');
				$this->load->view('forget_password');	   
				$this->load->view('bottom'); 
			}
		}		
	}
	function view() 
    { 
		$this->load->view('email_invoice');           
	}
}
?>